Skip to main content
POST
/
api
/
v1
/
canvases
/
{canvasId}
/
direct
/
nodes
Create a node
curl --request POST \
  --url https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "geometry": {
    "x": 123,
    "y": 123,
    "w": 123,
    "h": 123,
    "zIndex": 123
  },
  "title": "<string>",
  "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modelConfig": {
    "model": "<string>",
    "variant": "<string>",
    "tier": "<string>"
  },
  "textPrompt": "<string>",
  "text": "<string>",
  "outputDuration": 1,
  "matchAudioToVideoDuration": true,
  "seed": 1073741823,
  "negativePrompt": "<string>",
  "stitchClipOrder": [
    "<string>"
  ],
  "stitchAudioOverlays": [
    {
      "nodeId": "<string>",
      "startTimeSeconds": 1,
      "trimStartMs": 1,
      "trimEndMs": 1
    }
  ],
  "stitchClipTrims": {},
  "voiceId": "<string>",
  "customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "elevenLabsVoiceSettings": {
    "speed": 2.125,
    "stability": 0.5,
    "similarityBoost": 0.5,
    "style": 0.5,
    "speakerBoost": true,
    "removeBackgroundNoise": true
  },
  "src": "<string>",
  "s3Key": "<string>",
  "s3Bucket": "<string>",
  "contentType": "<string>",
  "sourceNodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "templatePorts": [
    {
      "direction": "input",
      "portId": "<string>",
      "label": "<string>",
      "handleType": "<string>",
      "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "internalHandle": "<string>",
      "required": true,
      "maxConnections": 1,
      "internalTargets": [
        {
          "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "internalHandle": "<string>"
        }
      ],
      "connectedSourceIds": [
        "<string>"
      ],
      "top": "<string>"
    }
  ],
  "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes"

payload = {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "geometry": {
        "x": 123,
        "y": 123,
        "w": 123,
        "h": 123,
        "zIndex": 123
    },
    "title": "<string>",
    "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "modelConfig": {
        "model": "<string>",
        "variant": "<string>",
        "tier": "<string>"
    },
    "textPrompt": "<string>",
    "text": "<string>",
    "outputDuration": 1,
    "matchAudioToVideoDuration": True,
    "seed": 1073741823,
    "negativePrompt": "<string>",
    "stitchClipOrder": ["<string>"],
    "stitchAudioOverlays": [
        {
            "nodeId": "<string>",
            "startTimeSeconds": 1,
            "trimStartMs": 1,
            "trimEndMs": 1
        }
    ],
    "stitchClipTrims": {},
    "voiceId": "<string>",
    "customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "elevenLabsVoiceSettings": {
        "speed": 2.125,
        "stability": 0.5,
        "similarityBoost": 0.5,
        "style": 0.5,
        "speakerBoost": True,
        "removeBackgroundNoise": True
    },
    "src": "<string>",
    "s3Key": "<string>",
    "s3Bucket": "<string>",
    "contentType": "<string>",
    "sourceNodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "templatePorts": [
        {
            "direction": "input",
            "portId": "<string>",
            "label": "<string>",
            "handleType": "<string>",
            "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "internalHandle": "<string>",
            "required": True,
            "maxConnections": 1,
            "internalTargets": [
                {
                    "nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "internalHandle": "<string>"
                }
            ],
            "connectedSourceIds": ["<string>"],
            "top": "<string>"
        }
    ],
    "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
    "Authorization": "Bearer <token>",
    "x-team-id": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    Authorization: 'Bearer <token>',
    'x-team-id': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    geometry: {x: 123, y: 123, w: 123, h: 123, zIndex: 123},
    title: '<string>',
    groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    modelConfig: {model: '<string>', variant: '<string>', tier: '<string>'},
    textPrompt: '<string>',
    text: '<string>',
    outputDuration: 1,
    matchAudioToVideoDuration: true,
    seed: 1073741823,
    negativePrompt: '<string>',
    stitchClipOrder: ['<string>'],
    stitchAudioOverlays: [{nodeId: '<string>', startTimeSeconds: 1, trimStartMs: 1, trimEndMs: 1}],
    stitchClipTrims: {},
    voiceId: '<string>',
    customVoiceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    elevenLabsVoiceSettings: {
      speed: 2.125,
      stability: 0.5,
      similarityBoost: 0.5,
      style: 0.5,
      speakerBoost: true,
      removeBackgroundNoise: true
    },
    src: '<string>',
    s3Key: '<string>',
    s3Bucket: '<string>',
    contentType: '<string>',
    sourceNodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    templatePorts: [
      {
        direction: 'input',
        portId: '<string>',
        label: '<string>',
        handleType: '<string>',
        nodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
        internalHandle: '<string>',
        required: true,
        maxConnections: 1,
        internalTargets: [{nodeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', internalHandle: '<string>'}],
        connectedSourceIds: ['<string>'],
        top: '<string>'
      }
    ],
    templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  })
};

fetch('https://api.melius.com/api/v1/canvases/{canvasId}/direct/nodes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "geometry": {
    "x": 123,
    "y": 123,
    "w": 123,
    "h": 123,
    "zIndex": 123
  },
  "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "modelConfig": {
    "model": "<string>",
    "variant": "<string>",
    "tier": "<string>",
    "ratios": [
      "<string>"
    ],
    "resolution": "<string>",
    "voiceId": "<string>",
    "customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "font": {
      "familyName": "<string>"
    }
  },
  "textPrompt": "<string>",
  "outputDuration": 1,
  "seed": 1073741823,
  "negativePrompt": "<string>",
  "src": "<string>",
  "previewSrc": "<string>",
  "generatedText": "<string>",
  "activeVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assetDurationInMs": 1,
  "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "autoModel": true,
  "fastModel": true,
  "matchAudioToVideoDuration": true,
  "stitchClipOrder": [
    "<string>"
  ],
  "stitchAudioOverlays": [
    {
      "nodeId": "<string>",
      "startTimeSeconds": 1,
      "trimStartMs": 1,
      "trimEndMs": 1
    }
  ],
  "stitchClipTrims": {},
  "voiceId": "<string>",
  "customVoiceId": "<string>",
  "elevenLabsVoiceSettings": {
    "speed": 2.125,
    "stability": 0.5,
    "similarityBoost": 0.5,
    "style": 0.5,
    "speakerBoost": true,
    "removeBackgroundNoise": true
  }
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>",
  "retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

canvasId
string<uuid>
required

Body

application/json

Body

id
string<uuid>
required
nodeType
enum<string>
required
Available options:
text,
image,
video,
audio,
file,
group,
custom_text,
pdf,
composite,
stitch,
magic_resize
geometry
object
required
title
string
groupId
string<uuid> | null
modelConfig
object | null
textPrompt
string | null
text
string
Maximum string length: 100000
outputAspectRatio
enum<string> | null
Available options:
21:9,
16:9,
4:3,
5:4,
3:2,
1:1,
2:3,
3:4,
4:5,
9:16,
9:21
outputDuration
integer | null
Required range: x > 0
outputResolution
Available options:
360p,
480p,
540p,
580p,
720p,
1080p,
1440p,
2160p,
4k,
0.5K,
1K,
2K,
4K,
1k,
2k
matchAudioToVideoDuration
boolean | null
seed
integer | null
Required range: 0 <= x <= 2147483647
negativePrompt
string | null
stitchClipOrder
string[] | null
stitchScaleFit
enum<string> | null
Available options:
fit,
stretch
stitchAudioOverlays
object[] | null
stitchClipTrims
object | null
voiceId
string | null
Minimum string length: 1
customVoiceId
string<uuid> | null
elevenLabsVoiceSettings
object | null
src
string<uri> | null
mediaType
enum<string> | null
Available options:
image,
video,
audio,
pdf
s3Key
string
s3Bucket
string
contentType
string
sourceNodeId
string<uuid>
groupType
enum<string> | null
Available options:
default,
unified,
template
templatePorts
object[] | null
templateId
string<uuid> | null

Response

201

id
string<uuid>
required
nodeType
enum<string>
required
Available options:
text,
image,
video,
audio,
file,
group,
custom_text,
pdf,
composite,
stitch,
magic_resize
geometry
object
required
groupId
string<uuid> | null
required
title
string
required
modelConfig
object | null
required
textPrompt
string | null
required
outputAspectRatio
enum<string> | null
required
Available options:
21:9,
16:9,
4:3,
5:4,
3:2,
1:1,
2:3,
3:4,
4:5,
9:16,
9:21
outputDuration
integer | null
required
Required range: x > 0
outputResolution
required
Available options:
360p,
480p,
540p,
580p,
720p,
1080p,
1440p,
2160p,
4k,
0.5K,
1K,
2K,
4K,
1k,
2k
seed
integer | null
required
Required range: 0 <= x <= 2147483647
negativePrompt
string | null
required
src
string | null
required
previewSrc
string | null
required
mediaType
enum<string> | null
required
Available options:
image,
video,
audio,
pdf
generatedText
string | null
required
activeVersionId
string<uuid> | null
required
assetDurationInMs
integer | null
required
Required range: x >= 0
createdByUserId
string<uuid> | null
required
autoModel
boolean | null
fastModel
boolean | null
matchAudioToVideoDuration
boolean | null
stitchClipOrder
string[] | null
stitchScaleFit
enum<string> | null
Available options:
fit,
stretch
stitchAudioOverlays
object[] | null
stitchClipTrims
object | null
voiceId
string | null
customVoiceId
string | null
elevenLabsVoiceSettings
object | null
Last modified on July 9, 2026